Mojolicious 8.01 Pass

Tested by Nigel Horne, 26. Sep 2018,

  1. Program output
  2. Tester comments
  3. Prerequisites
  4. Environment and other context
  5. More reports...

This distribution has been tested as part of the CPAN Testers project, supporting the Perl programming language. See http://wiki.cpantesters.org/ for more information or email questions to cpan-testers-discuss@perl.org

-- Dear Sebastian Riedel,

This is a computer-generated report for Mojolicious-8.01 on perl 5.14.4, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN. Congratulations! All tests were successful

Program output

Output from '/sw/bin/make test':

PERL_DL_NONLAZY=1 "/Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/bin/perl5.14.4" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/*/*.t
t/mojo/base.t .............................. ok
t/mojo/cache.t ............................. ok
t/mojo/bytestream.t ........................ ok
t/mojo/asset.t ............................. ok
t/mojo/collection.t ........................ ok
t/mojo/content.t ........................... ok
t/mojo/cookie.t ............................ ok
t/mojo/cgi.t ............................... ok
t/mojo/cookiejar.t ......................... ok
t/mojo/date.t .............................. ok
t/mojo/daemon_ipv6_tls.t ................... skipped: set TEST_IPV6 to enable this test (developer only!)
t/mojo/daemon.t ............................ ok
t/mojo/delay.t ............................. ok
t/mojo/eventemitter.t ...................... ok
t/mojo/exception.t ......................... ok
t/mojo/headers.t ........................... ok
t/mojo/file.t .............................. ok
t/mojo/home.t .............................. ok
t/mojo/hypnotoad.t ......................... skipped: set TEST_HYPNOTOAD to enable this test (developer only!)
t/mojo/ioloop_ipv6.t ....................... skipped: set TEST_IPV6 to enable this test (developer only!)
t/mojo/ioloop_tls.t ........................ skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/dom.t ............................... ok
t/mojo/json_pointer.t ...................... ok
t/mojo/json_xs.t ........................... skipped: Cpanel::JSON::XS 4.04+ required for this test!
t/mojo/json.t .............................. ok
t/mojo/log.t ............................... ok
t/mojo/loader.t ............................ ok
t/mojo/morbo.t ............................. skipped: set TEST_MORBO to enable this test (developer only!)
t/mojo/parameters.t ........................ ok
t/mojo/path.t .............................. ok
t/mojo/promise.t ........................... ok
t/mojo/proxy.t ............................. ok
t/mojo/prefork.t ........................... skipped: set TEST_PREFORK to enable this test (developer only!)
t/mojo/reactor_ev.t ........................ skipped: set TEST_EV to enable this test (developer only!)
t/mojo/reactor_detect.t .................... ok
t/mojo/psgi.t .............................. ok
t/mojo/request_cgi.t ....................... ok
t/mojo/request.t ........................... ok
t/mojo/response.t .......................... ok
t/mojo/roles.t ............................. ok
t/mojo/signatures.t ........................ skipped: Perl 5.20+ required for this test!
t/mojo/subprocess.t ........................ skipped: set TEST_SUBPROCESS to enable this test (developer only!)
t/mojo/template.t .......................... ok
t/mojo/tls.t ............................... skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/url.t ............................... ok
t/mojo/transactor.t ........................ ok
t/mojo/user_agent_online.t ................. skipped: set TEST_ONLINE to enable this test (developer only!)
t/mojo/user_agent_socks.t .................. skipped: set TEST_SOCKS to enable this test (developer only!)
t/mojo/user_agent_tls.t .................... skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/user_agent_unix.t ................... skipped: set TEST_UNIX to enable this test (developer only!)
t/mojo/ioloop.t ............................ ok
t/mojo/reactor_poll.t ...................... ok
t/mojo/util.t .............................. ok
t/mojo/websocket_frames.t .................. ok
t/mojo/websocket_proxy.t ................... ok
t/mojo/user_agent.t ........................ ok
t/mojo/websocket_proxy_tls.t ............... skipped: set TEST_TLS to enable this test (developer only!)
t/mojo/websocket.t ......................... ok
t/mojolicious/command.t .................... ok
t/mojolicious/charset_lite_app.t ........... ok
t/mojolicious/dispatch.t ................... ok
t/mojolicious/commands.t ................... ok
t/mojolicious/dispatcher_lite_app.t ........ ok
t/mojolicious/app.t ........................ ok
t/mojolicious/embedded_app.t ............... ok
t/mojolicious/exception_lite_app.t ......... ok
t/mojolicious/external_app.t ............... ok
t/mojolicious/external_lite_app.t .......... ok
t/mojolicious/embedded_lite_app.t .......... ok
t/mojolicious/json_config_lite_app.t ....... ok
t/mojolicious/json_config_mode_lite_app.t .. ok
t/mojolicious/group_lite_app.t ............. ok
t/mojolicious/layouted_lite_app.t .......... ok
t/mojolicious/multipath_lite_app.t ......... ok
t/mojolicious/ojo.t ........................ ok
t/mojolicious/ojo_signatures.t ............. skipped: Perl 5.20+ required for this test!
t/mojolicious/pattern.t .................... ok
t/mojolicious/lite_app.t ................... ok
t/mojolicious/pod_renderer_lite_app.t ...... ok
t/mojolicious/production_app.t ............. ok
t/mojolicious/rebased_lite_app.t ........... ok
t/mojolicious/renderer.t ................... ok
t/mojolicious/routes.t ..................... ok
t/mojolicious/signatures_lite_app.t ........ skipped: Perl 5.20+ required for this test!
t/mojolicious/restful_lite_app.t ........... ok
t/mojolicious/static_lite_app.t ............ ok
t/mojolicious/tag_helper_lite_app.t ........ ok
t/mojolicious/tls_lite_app.t ............... skipped: set TEST_TLS to enable this test (developer only!)
t/mojolicious/testing_app.t ................ ok
t/mojolicious/twinkle_lite_app.t ........... ok
t/mojolicious/types.t ...................... ok
t/mojolicious/upload_lite_app.t ............ ok
t/mojolicious/longpolling_lite_app.t ....... ok
t/pod.t .................................... skipped: set TEST_POD to enable this test (developer only!)
t/mojolicious/upload_stream_lite_app.t ..... ok
t/pod_coverage.t ........................... skipped: set TEST_POD to enable this test (developer only!)
t/mojolicious/validation_lite_app.t ........ ok
t/mojolicious/websocket_lite_app.t ......... ok
All tests successful.
Files=98, Tests=11150, 11 wallclock secs ( 0.92 usr  0.31 sys + 22.73 cusr  7.23 csys = 31.19 CPU)
Result: PASS

Prerequisites

Requires

Build requires

Configure requires

Tester comments

this report is from an automated smoke testing program and was not reviewed by a human for accuracy

Environment and other context

Environment variables:

    AUTOMATED_TESTING = 1
    HARNESS_OPTIONS = j4
    LANG = en_US.UTF-8
    LC_ALL = POSIX
    NONINTERACTIVE_TESTING = 1
    PATH = /Users/hornenj/perl5/perlbrew/bin:/Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/bin:/Users/hornenj/src/njh/smoker/bin:/Users/hornenj/homebrew/bin:/Users/hornenj/bin:/usr/bin:/bin:/usr/X11R6/bin:/sw/bin
    PERL5LIB = /Users/hornenj/.cpan/build/Syntax-Construct-1.008-29/blib/arch:/Users/hornenj/.cpan/build/Syntax-Construct-1.008-29/blib/lib:/Users/hornenj/.cpan/build/Lingua-EN-ABC-0.09-29/blib/arch:/Users/hornenj/.cpan/build/Lingua-EN-ABC-0.09-29/blib/lib
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 61812
    PERL5_CPAN_IS_RUNNING = 61812
    PERLBREW_HOME = /Users/hornenj/.perlbrew
    PERLBREW_MANPATH = /Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/man
    PERLBREW_PATH = /Users/hornenj/perl5/perlbrew/bin:/Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/bin
    PERLBREW_PERL = perl-5.14.4
    PERLBREW_ROOT = /Users/hornenj/perl5/perlbrew
    PERLBREW_SHELLRC_VERSION = 0.84
    PERLBREW_VERSION = 0.84
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/bash
    TERM = xterm-256color
    TMPDIR = /var/folders/pz/pd7y1qjs6s3cbk170cw50fjc000c61/T//testwrapper.61798
    VERSIONER_PERL_PREFER_32_BIT = no
    VERSIONER_PERL_VERSION = 5.18

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/bin/perl5.14.4
    $UID/$EUID = 12481 / 12481
    $GID = 14 14 206 5344 37191 527 12 62 98 204 399 37223 241 223 100
    $EGID = 14 14 206 5344 37191 527 12 62 98 204 399 37223 241 223 100

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.16    
    CPAN::Meta          2.150010
    Cwd                 3.74    
    ExtUtils::CBuilder  0.280224
    ExtUtils::Command   7.34    
    ExtUtils::Install   2.06    
    ExtUtils::MakeMaker 7.34    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.30    
    File::Spec          3.74    
    JSON                2.97001 
    JSON::PP            2.27400 
    Module::Build       0.4214  
    Module::Signature   n/a     
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.36    
    Test::More          1.302106
    YAML                1.26    
    YAML::Syck          1.30    
    version             0.9912  


--

Summary of my perl5 (revision 5 version 14 subversion 4) configuration:
   
  Platform:
    osname=darwin, osvers=14.3.0, archname=darwin-thread-multi-2level
    uname='darwin ncbimac2027.ncbi.nlm.nih.gov 14.3.0 darwin kernel version 14.3.0: mon mar 23 11:59:05 pdt 2015; root:xnu-2782.20.48~5release_x86_64 x86_64 '
    config_args='-de -Dprefix=/Users/hornenj/perl5/perlbrew/perls/perl-5.14.4 -Duseithreads -Dusemultiplicity -Dusedevel -Accflags=-O2 -W -Wformat=2 -Wswitch -Wshadow -Wwrite-strings -Wuninitialized -Wall -pipe -mtune=native -march=native -fomit-frame-pointer -msse2 -msse -mmmx -pedantic -D_FORTIFY_SOURCE=2 -Wpointer-arith -Wstrict-prototypes -fstack-protector -Wstack-protector -Wextra -Wbad-function-cast -Wcast-align -Wcast-qual -Wdisabled-optimization -Wendif-labels -Wfloat-equal -Wformat-nonliteral -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wundef -Wformat-security -fassociative-math -Acc=cc -Aeval:scriptdir=/Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/bin'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc=' cc', ccflags ='-fno-common -DPERL_DARWIN -O2 -W -Wformat=2 -Wswitch -Wshadow -Wwrite-strings -Wuninitialized -Wall -pipe -mtune=native -march=native -fomit-frame-pointer -msse2 -msse -mmmx -pedantic -D_FORTIFY_SOURCE=2 -Wpointer-arith -Wstrict-prototypes -fstack-protector -Wstack-protector -Wextra -Wbad-function-cast -Wcast-align -Wcast-qual -Wdisabled-optimization -Wendif-labels -Wfloat-equal -Wformat-nonliteral -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wundef -Wformat-security -fassociative-math -fno-strict-aliasing -I/usr/local/include',
    optimize='-O3',
    cppflags='-fno-common -DPERL_DARWIN -O2 -W -Wformat=2 -Wswitch -Wshadow -Wwrite-strings -Wuninitialized -Wall -pipe -mtune=native -march=native -fomit-frame-pointer -msse2 -msse -mmmx -pedantic -D_FORTIFY_SOURCE=2 -Wpointer-arith -Wstrict-prototypes -fstack-protector -Wstack-protector -Wextra -Wbad-function-cast -Wcast-align -Wcast-qual -Wdisabled-optimization -Wendif-labels -Wfloat-equal -Wformat-nonliteral -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wundef -Wformat-security -fassociative-math -fno-strict-aliasing -I/usr/local/include'
    ccversion='', gccversion='4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.56)', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc', ldflags =' -fstack-protector -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib
    libs=-ldbm -ldl -lm -lutil -lc
    perllibs=-ldl -lm -lutil -lc
    libc=, so=dylib, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' '
    cccdlflags=' ', lddlflags=' -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV PERL_USE_DEVEL USE_64_BIT_ALL
                        USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES
                        USE_PERLIO USE_PERL_ATOF USE_REENTRANT_API
  Locally applied patches:
	Devel::PatchPerl 1.30
  Built under darwin
  Compiled at Apr 20 2015 09:34:28
  %ENV:
    PERL5LIB="/Users/hornenj/.cpan/build/Syntax-Construct-1.008-29/blib/arch:/Users/hornenj/.cpan/build/Syntax-Construct-1.008-29/blib/lib:/Users/hornenj/.cpan/build/Lingua-EN-ABC-0.09-29/blib/arch:/Users/hornenj/.cpan/build/Lingua-EN-ABC-0.09-29/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="61812"
    PERL5_CPAN_IS_RUNNING="61812"
    PERLBREW_HOME="/Users/hornenj/.perlbrew"
    PERLBREW_MANPATH="/Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/man"
    PERLBREW_PATH="/Users/hornenj/perl5/perlbrew/bin:/Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/bin"
    PERLBREW_PERL="perl-5.14.4"
    PERLBREW_ROOT="/Users/hornenj/perl5/perlbrew"
    PERLBREW_SHELLRC_VERSION="0.84"
    PERLBREW_VERSION="0.84"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /Users/hornenj/.cpan/build/Syntax-Construct-1.008-29/blib/arch
    /Users/hornenj/.cpan/build/Syntax-Construct-1.008-29/blib/lib
    /Users/hornenj/.cpan/build/Lingua-EN-ABC-0.09-29/blib/arch
    /Users/hornenj/.cpan/build/Lingua-EN-ABC-0.09-29/blib/lib
    /Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/lib/site_perl/5.14.4/darwin-thread-multi-2level
    /Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/lib/site_perl/5.14.4
    /Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/lib/5.14.4/darwin-thread-multi-2level
    /Users/hornenj/perl5/perlbrew/perls/perl-5.14.4/lib/5.14.4